summaryrefslogtreecommitdiff
path: root/include/lib.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-15 02:47:00 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-15 02:47:00 +0100
commit1b29ad275f1862527c0fcba22709133f16db3444 (patch)
tree586c71c4316208b83e7ed359a6b9a185d508f3d8 /include/lib.sh
parenta8d0777da16cd45248473f5b00f4b8ec120fa4e9 (diff)
parenta191d22bd6dad8b5d9cb37e952904ff1a0030259 (diff)
Merge branch 'master' into 25.06_branch
Diffstat (limited to 'include/lib.sh')
-rw-r--r--include/lib.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/include/lib.sh b/include/lib.sh
index cf4305a1..75de7512 100644
--- a/include/lib.sh
+++ b/include/lib.sh
@@ -75,8 +75,8 @@ chkvars()
# e.g. coreboot is multi-tree, so 1
singletree()
{
- ( fx_ "exit 1" find "config/$1/"*/ -type f -name "target.cfg" ) || \
- return 1
+ ( fx_ "eval exit 1 && err" find "config/$1/"*/ -type f \
+ -name "target.cfg" ) || return 1; :
}
findpath()